Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 709312 - sys-auth/pam_ssh-2.3 : fails to build with -fno-common or gcc-10
Summary: sys-auth/pam_ssh-2.3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-11 17:56 UTC by Toralf Förster
Modified: 2020-04-22 12:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.18 KB, text/plain)
2020-02-11 17:56 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,23.22 KB, text/plain)
2020-02-11 17:56 UTC, Toralf Förster
Details
environment (environment,72.14 KB, text/plain)
2020-02-11 17:57 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,10.51 KB, application/x-bzip)
2020-02-11 17:57 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,11.50 KB, application/x-bzip)
2020-02-11 17:57 UTC, Toralf Förster
Details
sys-auth:pam_ssh-2.3:20200211-154951.log (sys-auth:pam_ssh-2.3:20200211-154951.log,51.39 KB, text/plain)
2020-02-11 17:57 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,22.97 KB, application/x-bzip)
2020-02-11 17:57 UTC, Toralf Förster
Details
files/pam_ssh-2.3-fno-common.patch (pam_ssh-2.3-fno-common.patch,218 bytes, patch)
2020-04-22 06:46 UTC, Jeroen Roovers
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-11 17:56:51 UTC
/bin/sh ./libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.   -I/usr/include/security  -Wall -O2 -pipe -march=native -fno-common -c -o openpam_restore_cred.lo openpam_restore_cred.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/usr/include/security -Wall -O2 -pipe -march=native -fno-common -c openpam_restore_cred.c  -fPIC -DPIC -o .libs/openpam_restore_cred.o
/bin/sh ./libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -Wall -O2 -pipe -march=native -fno-common -avoid-version -module -Wl,-O1 -Wl,--as-needed -Wl,--version-script=/var/tmp/portage/sys-auth/pam_ssh-2.3/files/pam_symbols.ver -o pam_ssh.la -rpath /lib64/security atomicio.lo authfd.lo authfile.lo base64.lo bcrypt_pbkdf.lo blocks.lo blowfish.lo bufaux.lo bufec.lo bufbn.lo buffer.lo chacha.lo cipher-chachapoly.lo cipher-ctr.lo cipher.lo cleanup.lo digest-openssl.lo ed25519.lo explicit_bzero.lo fatal.lo fe25519.lo ge25519.lo hash.lo key.lo log.lo misc.lo poly1305.lo rijndael.lo rsa.lo verify.lo sc25519.lo timingsafe_bcmp.lo sshbuf-getput-crypto.lo sshbuf-getput-basic.lo sshbuf.lo sshbuf-misc.lo ssh-ed25519.lo ssh-ecdsa.lo ssh-dss.lo ssh-rsa.lo sshkey.lo ssherr.lo pam_ssh.lo xmalloc.lo pam_ssh_log.lo strlcpy.lo strnvis.lo pam_get_pass.lo pam_std_option.lo openpam_borrow_cred.lo openpam_restore_cred.lo -lpam  -lcrypto
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/atomicio.o .libs/authfd.o .libs/authfile.o .libs/base64.o .libs/bcrypt_pbkdf.o .libs/blocks.o .libs/blowfish.o .libs/bufaux.o .libs/bufec.o .libs/bufbn.o .libs/buffer.o .libs/chacha.o .libs/cipher-chachapoly.o .libs/cipher-ctr.o .libs/cipher.o .libs/cleanup.o .libs/digest-openssl.o .libs/ed25519.o .libs/explicit_bzero.o .libs/fatal.o .libs/fe25519.o .libs/ge25519.o .libs/hash.o .libs/key.o .libs/log.o .libs/misc.o .libs/poly1305.o .libs/rijndael.o .libs/rsa.o .libs/verify.o .libs/sc25519.o .libs/timingsafe_bcmp.o .libs/sshbuf-getput-crypto.o .libs/sshbuf-getput-basic.o .libs/sshbuf.o .libs/sshbuf-misc.o .libs/ssh-ed25519.o .libs/ssh-ecdsa.o .libs/ssh-dss.o .libs/ssh-rsa.o .libs/sshkey.o .libs/ssherr.o .libs/pam_ssh.o .libs/xmalloc.o .libs/pam_ssh_log.o .libs/strlcpy.o .libs/strnvis.o .libs/pam_get_pass.o .libs/pam_std_option.o .libs/openpam_borrow_cred.o .libs/openpam_restore_cred.o   -lpam -lcrypto  -O2 -march=native -Wl,-O1 -Wl,--as-needed -Wl,--version-script=/var/tmp/portage/sys-auth/pam_ssh-2.3/files/pam_symbols.ver   -Wl,-soname -Wl,pam_ssh.so -o .libs/pam_ssh.so
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/ge25519.o:(.rodata+0x1aa80): multiple definition of `crypto_sign_ed25519_ref_ge25519_base'; .libs/ed25519.o:(.rodata+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-20200210-221913

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)






repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 11 Feb 2020 14:41:03 +0000

emerge -qpvO sys-auth/pam_ssh
[ebuild  N    ] sys-auth/pam_ssh-2.3
Comment 1 Toralf Förster gentoo-dev 2020-02-11 17:56:54 UTC
Created attachment 613382 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-11 17:56:57 UTC
Created attachment 613384 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-11 17:57:00 UTC
Created attachment 613386 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-11 17:57:02 UTC
Created attachment 613388 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-11 17:57:05 UTC
Created attachment 613390 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-11 17:57:08 UTC
Created attachment 613392 [details]
sys-auth:pam_ssh-2.3:20200211-154951.log
Comment 7 Toralf Förster gentoo-dev 2020-02-11 17:57:11 UTC
Created attachment 613394 [details]
temp.tbz2
Comment 8 Jeroen Roovers gentoo-dev 2020-04-22 06:46:44 UTC
Created attachment 634046 [details, diff]
files/pam_ssh-2.3-fno-common.patch
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-04-22 12:20:03 UTC
Thanks Jer, this bug was in at the buttom of my list.
Comment 10 Larry the Git Cow gentoo-dev 2020-04-22 12:26:27 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd27db05936853b3a8f0fd4560f564eef9c18daa

commit cd27db05936853b3a8f0fd4560f564eef9c18daa
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-04-22 12:24:21 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-04-22 12:26:21 +0000

    sys-auth/pam_ssh: fix build with gcc-10
    
    Closes: https://bugs.gentoo.org/709312
    
    Thanks-to: Jeroen Roovers <jer@gentoo.org>
    
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 sys-auth/pam_ssh/files/pam_ssh-gcc10-fix.patch | 11 +++++++++++
 sys-auth/pam_ssh/pam_ssh-2.3.ebuild            |  3 ++-
 2 files changed, 13 insertions(+), 1 deletion(-)